{% extends 'base.html.twig' %}

{% block body %}
  <div class="container">
    <div class="row">
      <div class="col-12 text-center blur bg-transparent-black m-t-100 m-b-2e">
        <h1>Welcome to the library</h1>
      </div>
    </div>

    <div class="row">
      <div class="col-12 text-center blur bg-transparent-black m-t-0">
        <h2>Available books:</h2>
        <br>

        {% if books %}
          <ul>
            {% for book in books %}
              <li>
                <a href = {{ path('book_edit', {'id': book.id}) }}>
                  {{ book.title }} ({{ book.publicationDate|date('Y') }}) - {{ book.author.getFirstName() }} {{ book.author.getLastName() }}
                </a>
              </li>
            {% endfor %}
          </ul>
        {% else %}
          No books to show yet
        {% endif %}

      </div>
    </div>
  </div>
{% endblock %}
